Update a specific retrospective step by id
curl --request PUT \
--url https://api.rootly.com/v1/retrospective_steps/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_steps",
"attributes": {
"title": "<string>",
"description": "<string>",
"incident_role_id": "<string>",
"due_after_days": 123,
"position": 123,
"skippable": true
}
}
}
'{
"data": {
"id": "c653d580-29a6-4a35-8321-e80ed41672f0",
"type": "retrospective_steps",
"attributes": {
"retrospective_process_id": "3a3267f7-2b67-4c7f-8fd7-6bd829c5e668",
"title": "Step 2",
"description": "Step 2 description",
"incident_role_id": "1e104487-1f99-4372-8412-c3579e89f227",
"due_after_days": 7,
"position": 2,
"skippable": true,
"created_at": "2026-01-21T11:22:16.262-08:00",
"updated_at": "2026-01-21T11:22:16.753-08:00"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
retrospective_step updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/retrospective_steps/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_steps",
"attributes": {
"title": "<string>",
"description": "<string>",
"incident_role_id": "<string>",
"due_after_days": 123,
"position": 123,
"skippable": true
}
}
}
'{
"data": {
"id": "c653d580-29a6-4a35-8321-e80ed41672f0",
"type": "retrospective_steps",
"attributes": {
"retrospective_process_id": "3a3267f7-2b67-4c7f-8fd7-6bd829c5e668",
"title": "Step 2",
"description": "Step 2 description",
"incident_role_id": "1e104487-1f99-4372-8412-c3579e89f227",
"due_after_days": 7,
"position": 2,
"skippable": true,
"created_at": "2026-01-21T11:22:16.262-08:00",
"updated_at": "2026-01-21T11:22:16.753-08:00"
}
}
}